VERSION 5.00
Begin VB.Form frmDeleteConnection 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Delete connection"
   ClientHeight    =   2745
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6015
   Icon            =   "frmDeleteConnection.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2745
   ScaleWidth      =   6015
   StartUpPosition =   3  'Windows Default
   Tag             =   "frmDeleteConnection"
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4680
      TabIndex        =   3
      Tag             =   "frmDeleteConnection.cmdCancel"
      Top             =   840
      Width           =   1215
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Height          =   375
      Left            =   4680
      TabIndex        =   2
      Top             =   360
      Width           =   1215
   End
   Begin VB.ListBox lstDelete 
      Height          =   1860
      Left            =   120
      Style           =   1  'Checkbox
      TabIndex        =   1
      Top             =   360
      Width           =   4455
   End
   Begin VB.Label lblConnectionToDelete 
      Caption         =   "Connection to &delete"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Tag             =   "frmDeleteConnection.lblConnectionToDelete"
      Top             =   120
      Width           =   4455
   End
End
Attribute VB_Name = "frmDeleteConnection"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Accessible UML

'LICENCE
'This program is free software: you can redistribute it and/or modify
'    it under the terms of the GNU General Public License as published by
'    the Free Software Foundation, either version 3 of the License, or
'    (at your option) any later version.
'
'    This program is distributed in the hope that it will be useful,
'    but WITHOUT ANY WARRANTY; without even the implied warranty of
'    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'    GNU General Public License for more details.
'
'    You should have received a copy of the GNU General Public License
'    along with this program.  If not, see <http://www.gnu.org/licenses/>.

'"Accessible UML" is copyright 2001-2004 Paul Blenkhorn and Gareth Evans, at UMIST,
'and is released by them under the GNU Public Licence Version 3. A copy is available
'at http://www.gnu.org/licenses/gpl.txt
'The code was written by Alasdair King.

Option Explicit

Private Sub cmdCancel_Click()
    On Error Resume Next
    Call Me.Hide
End Sub

Private Sub cmdOK_Click()
'go ahead and delete the links selected
    On Error Resume Next
    Dim i As Integer
    Dim otherNode As CNode
    
    For i = 0 To lstDelete.ListCount - 1
        If lstDelete.Selected(i) Then
            'delete this item
            'first the far end
            Set otherNode = diagramNodes(currentNode.exits(i + 1).target)
            Call otherNode.RemoveConnectionsTo(currentNode)
            'DEV: In fact, this removes EVERY connection from the other node
            'to this one, instead of the connection at the other node that
            'corresponds to the one we've just deleted. This needs a re-design:
            'we don't at present have a way to identify the other end of this
            'node, and we need to include this.
            'now do our end
            Call currentNode.RemoveConnection(currentNode.exits(i + 1))
        End If
    Next i
    Call Me.Hide
End Sub

Private Sub Form_Activate()
'load all the possible connections to delete
    On Error Resume Next
    Dim exitIterator As CExit
    
    Call lstDelete.Clear
    'display the exits and record their indices in the exits array
    For Each exitIterator In currentNode.exits
        Call lstDelete.AddItem(exitIterator.name)
    Next exitIterator
    Call lstDelete.SetFocus
End Sub


Private Sub Form_Load()
    On Error Resume Next
    Me.Icon = frmMain.Icon
End Sub
