VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CLocation"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'Accessible UML

'LICENCE
'This program is free software: you can redistribute it and/or modify
'    it under the terms of the GNU General Public License as published by
'    the Free Software Foundation, either version 3 of the License, or
'    (at your option) any later version.
'
'    This program is distributed in the hope that it will be useful,
'    but WITHOUT ANY WARRANTY; without even the implied warranty of
'    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'    GNU General Public License for more details.
'
'    You should have received a copy of the GNU General Public License
'    along with this program.  If not, see <http://www.gnu.org/licenses/>.

'"Accessible UML" is copyright 2001-2004 Paul Blenkhorn and Gareth Evans, at UMIST,
'and is released by them under the GNU Public Licence Version 3. A copy is available
'at http://www.gnu.org/licenses/gpl.txt
'The code was written by Alasdair King.

Option Explicit

Private cX As Integer
Private cY As Integer
Private cPlaced As Boolean
Private xPoints As String
Private yPoints As String
    
Public Property Get placed()
    On Error Resume Next
    placed = cPlaced
End Property

Public Property Get x() As Integer
    On Error Resume Next
    x = cX
End Property

Public Property Get y() As Integer
    On Error Resume Next
    y = cY
End Property

Public Property Let x(newX As Integer)
    On Error Resume Next
    Dim allXs() As String
    Dim i As Integer
    If newX > 0 Or Len(xPoints) = 0 Then
        If Len(xPoints) = 0 Then
            cX = newX
            xPoints = CStr(newX) & ","
        Else
            xPoints = xPoints & CStr(newX) & ","
            allXs = Split(xPoints, ",")
            cX = 0
            For i = LBound(allXs) To UBound(allXs) - 1
                cX = cX + CInt(allXs(i)) / (UBound(allXs) + 1)
            Next i
        End If
        cPlaced = True
    End If
End Property

Public Property Let y(newY As Integer)
    On Error Resume Next
    Dim allYs() As String
    Dim i As Integer
    
    If newY <> 0 Or Len(yPoints) = 0 Then
        If Len(yPoints) = 0 Then
            cY = newY
            yPoints = CStr(newY) & ","
        Else
            yPoints = yPoints & CStr(newY) & ","
            allYs = Split(yPoints, ",")
            cY = 0
            For i = LBound(allYs) To UBound(allYs) - 1
                cY = cY + CInt(allYs(i)) / (UBound(allYs) + 1)
            Next i
        End If
        cPlaced = True
    End If
End Property

Public Sub Move(newX As Integer, newY As Integer)
'moves a location to the x and y coordinates provided.
    On Error Resume Next
    If newX < 0 Then newX = 0
    If newY < 0 Then newY = 0
    cX = newX
    cY = newY
    cPlaced = True
    xPoints = CStr(cX)
    yPoints = CStr(cY)
End Sub

