Attribute VB_Name = "modDiagram"
'Accessible UML

'LICENCE
'This program is free software: you can redistribute it and/or modify
'    it under the terms of the GNU General Public License as published by
'    the Free Software Foundation, either version 3 of the License, or
'    (at your option) any later version.
'
'    This program is distributed in the hope that it will be useful,
'    but WITHOUT ANY WARRANTY; without even the implied warranty of
'    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'    GNU General Public License for more details.
'
'    You should have received a copy of the GNU General Public License
'    along with this program.  If not, see <http://www.gnu.org/licenses/>.

'"Accessible UML" is copyright 2001-2004 Paul Blenkhorn and Gareth Evans, at UMIST,
'and is released by them under the GNU Public Licence Version 3. A copy is available
'at http://www.gnu.org/licenses/gpl.txt
'The code was written by Alasdair King.

Option Explicit


'representation of the current diagram
Public diagramNode As CNode  ' the top node of the diagram
Public currentNode As CNode  ' the current node being examined by the user

'These two collections hold all the contents of the diagram indexed by unique id
Public complete As New Collection  ' all the CNode and CConnectionEnd elements
Public diagramNodes As New Collection ' all the CNode elements
'diagramNodes is therefore a subset of complete, and contains only CNode elements
Public UMLDiagram As DOMDocument30 ' the original UML model we've opened

Public topNodeID As String ' id of top node
Public bookmarks As New Dictionary ' holds the ids of the bookmarks
Public diagramType As diagramTypes ' the type of the diagram
Public orientationNodes As Collection ' the orientation navigation nodes
Public orientationNodeStartID As String ' id of the node to start orientation navigation in


