Attribute VB_Name = "modDiagramConstants"
'Accessible UML

'LICENCE
'This program is free software: you can redistribute it and/or modify
'    it under the terms of the GNU General Public License as published by
'    the Free Software Foundation, either version 3 of the License, or
'    (at your option) any later version.
'
'    This program is distributed in the hope that it will be useful,
'    but WITHOUT ANY WARRANTY; without even the implied warranty of
'    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'    GNU General Public License for more details.
'
'    You should have received a copy of the GNU General Public License
'    along with this program.  If not, see <http://www.gnu.org/licenses/>.

'"Accessible UML" is copyright 2001-2004 Paul Blenkhorn and Gareth Evans, at UMIST,
'and is released by them under the GNU Public Licence Version 3. A copy is available
'at http://www.gnu.org/licenses/gpl.txt
'The code was written by Alasdair King.

Option Explicit

Public Const UML_NODE_TYPE_ACTOR As String = "Actor"
Public Const UML_NODE_TYPE_USECASE As String = "UseCase"
Public Const UML_NODE_TYPE_FINALSTATE As String = "FinalState"
Public Const UML_NODE_TYPE_PSEUDOSTATE As String = "Pseudostate" ' start state
Public Const UML_NODE_TYPE_COMPOSITESTATE As String = "CompositeState"
Public Const UML_NODE_TYPE_SIMPLESTATE As String = "SimpleState"
Public Const UML_NODE_TYPE_CLASS As String = "Class"
Public Const UML_NODE_TYPE_STATEMACHINEDIAGRAM As String = "State Machine"

Public Const DIAGRAM_UML As String = "uml"

Public Enum diagramTypes
    UML_DIAGRAM = 0 'has type "uml"
    UNKNOWN_DIAGRAM = 2 ' has an unidentified type, therefore don't do any special
    'processing, for example ordering
End Enum

'Filenames for saving diagrams and loading files
Public Const TRANSITION_XML_WITH_RELATIONSHIP_NODES As String = "\temp\withRelationshipNodes.xml"
Public Const TRANSITION_XML_WITHOUT_RELATIONSHIP_NODES As String = "\temp\withoutRelationshipNodes.xml"

Public Const XSL_XMItoTEDUB_WITH_RELATIONSHIP_NODES As String = "\config\XMI-1.2.xsl"
Public Const XSL_XMI1_1toTEDUB_WITH_RELATIONSHIP_NODES As String = "\config\XMI-1.1.xsl"
Public Const XSL_TEDUBtoTEDUB_REMOVING_RELATIONSHIP_NODES As String = "\config\XMI2.xsl"
Public Const TEMP_DIAGRAM_FILE As String = "\temp\current.xml"
